Module javafx.controls
Package javafx.scene.control.skin

# Class LabelSkin

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.LabeledSkinBase<Label>
javafx.scene.control.skin.LabelSkin

All Implemented Interfaces:
  `Skin<Label>`

public class LabelSkin extends LabeledSkinBase<Label>
Default skin implementation for the `Label` control.

Since:
  9
See Also:
  - `Label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LabelSkin(Label control)`
  Creates a new LabelSkin instance, installing the necessary child nodes into the Control `children` list.

- ## Method Summary

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Constructor Details

  - ### LabelSkin

    public LabelSkin(Label control)
    Creates a new LabelSkin instance, installing the necessary child nodes into the Control `children` list.
    Parameters:
      `control` - The control that this skin should be installed onto.